Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.jsr223
[Java] Class GroovyScriptEngineFactory

    java.lang.Object
      org.codehaus.groovy.jsr223.GroovyScriptEngineFactory

All Implemented Interfaces:
  javax.script.ScriptEngineFactory

    public class GroovyScriptEngineFactory

A factory class conforming to JSR-223 which is used to instantiate Groovy `ScriptEngines` and also exposes metadata describing Groovy's engine class.

Authors:
  Adapted from original by Mike Grogan
  Adapted from original by A. Sundararajan
  Jim White
  Guillaume Laforge

Method Summary
`java.lang.String` | `getEngineName()`
`java.lang.String` | `getEngineVersion()` Note that the scripting.dev.java.net engine had this backwards.
`java.util.List` | `getExtensions()`
`java.lang.String` | `getLanguageName()` This is also different than scripting.dev.java.net which used an initial lowercase.
`java.lang.String` | `getLanguageVersion()`
`java.lang.String` | `getMethodCallSyntax(java.lang.String obj, java.lang.String method, java.lang.String... args)`
`java.util.List` | `getMimeTypes()`
`java.util.List` | `getNames()`
`java.lang.String` | `getOutputStatement(java.lang.String toDisplay)`
`java.lang.Object` | `getParameter(java.lang.String key)`
`java.lang.String` | `getProgram(java.lang.String... statements)`
`javax.script.ScriptEngine` | `getScriptEngine()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getEngineName

    public java.lang.String getEngineName()

### getEngineVersion

    public java.lang.String getEngineVersion()

  Note that the scripting.dev.java.net engine had this backwards. The engine version refers to this engine implementation. Whereas language version refers to the groovy implementation (which is obtained from the runtime).

### getExtensions

    public java.util.List getExtensions()

### getLanguageName

    public java.lang.String getLanguageName()

  This is also different than scripting.dev.java.net which used an initial lowercase. But these are proper names and should be capitalized.

### getLanguageVersion

    public java.lang.String getLanguageVersion()

### getMethodCallSyntax

    public java.lang.String getMethodCallSyntax(java.lang.String obj, java.lang.String method, java.lang.String... args)

### getMimeTypes

    public java.util.List getMimeTypes()

### getNames

    public java.util.List getNames()

### getOutputStatement

    public java.lang.String getOutputStatement(java.lang.String toDisplay)

### getParameter

    public java.lang.Object getParameter(java.lang.String key)

### getProgram

    public java.lang.String getProgram(java.lang.String... statements)

### getScriptEngine

    public javax.script.ScriptEngine getScriptEngine()

Groovy Documentation